Package org.jfree.report.expressions

# Class FormulaExpression

java.lang.Object
org.jfree.report.expressions.AbstractExpression
org.jfree.report.expressions.FormulaExpression

All Implemented Interfaces:
  `Serializable`, `Cloneable`, `Expression`

public class FormulaExpression extends AbstractExpression
Creation-Date: 04.11.2006, 19:24:04

Author:
  Thomas Morgner
See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`FormulaExpression()`

## Method Summary

Modifier and Type
Method
Description
`Object`
`clone()`
Clones the expression, expression should be reinitialized after the cloning.
`Object`
`computeValue()`
Return the current expression value.
`org.pentaho.reporting.libraries.formula.Formula`
`getCompiledFormula()`
Returns the compiled formula.
`String`
`getFormula()`
`String`
`getFormulaExpression()`
`String`
`getFormulaNamespace()`
`void`
`setFormula(String formula)`

### Methods inherited from class org.jfree.report.expressions.AbstractExpression

`getDataRow, getInstance, getName, getParentLocale, getReportConfiguration, getResourceBundleFactory, getRuntime, isDeepTraversing, isPrecompute, isPreserve, setDeepTraversing, setName, setPrecompute, setPreserve, setRuntime`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### FormulaExpression

public FormulaExpression()

## Method Details

### getFormula

public String getFormula()

### getFormulaNamespace

public String getFormulaNamespace()

### getFormulaExpression

public String getFormulaExpression()

### setFormula

public void setFormula(String formula)

### getCompiledFormula

public org.pentaho.reporting.libraries.formula.Formula getCompiledFormula() throws org.pentaho.reporting.libraries.formula.parser.ParseException
Returns the compiled formula. The formula is not connected to a formula context.

Returns:
  the formula.
Throws:
  `org.pentaho.reporting.libraries.formula.parser.ParseException` - if the formula contains syntax errors.

### computeValue

public Object computeValue() throws DataSourceException
Return the current expression value.

The value depends (obviously) on the expression implementation.

Returns:
  the value of the function.
Throws:
  `DataSourceException`

### clone

public Object clone() throws CloneNotSupportedException
Clones the expression, expression should be reinitialized after the cloning.

Expression maintain no state, cloning is done at the beginning of the report processing to disconnect the used expression from any other object space.

Specified by:
  `clone` in interface `Expression`
Overrides:
  `clone` in class `AbstractExpression`
Returns:
  A clone of this expression.
Throws:
  `CloneNotSupportedException` - this should never happen.